import { prism } from 'react-syntax-highlighter/dist/esm/styles/prism';

export const darkTheme = {
  ...prism,

  // General code block styles
  'code[class*="language-"]': {
    color: '#ffffff', // Default text color
    background: '#000000',  // Background color for code blocks
    fontFamily: 'Consolas, Monaco, monospace', // Font family
    fontSize: '1rem',
  },

  // Styles for the entire code block
  'pre[class*="language-"]': {
    background: '#000000', // Background color for the whole code block
    padding: '1em',
    borderRadius: '0.5em',
    overflowX: 'auto',
    fontFamily: 'Consolas, Monaco, monospace',
    fontSize: '14px',
  },

  // Keyword color (e.g., const, let, function, return)
  'code .token.keyword': {
    color: '#3af2ee', // Color for keywords (VS Code default)
    fontWeight: 'bold',
  },

  // String color (e.g., 'hello', "world")
  'code .token.string': {
    color: '#d69d85', // Color for strings
  },

  // Comment color (e.g., // This is a comment)
  'code .token.comment': {
    color: '#6a9955', // Color for comments
    fontStyle: 'italic',
  },

  // Function color (e.g., function myFunction())
  'code .token.function': {
    color: '#dcdcaa', // Color for functions
  },

  // Operator color (e.g., =, +, =>)
  'code .token.operator': {
    color: '#d4d4d4', // Light gray for operators
    background: 'transparent', // Ensure no background color
  },

  // Punctuation color (e.g., ;, ,)
  'code .token.punctuation': {
    color: '#dcdcdc', // Light gray for punctuation
    background: 'transparent', // Ensure no background color
  },

  // Variable color (e.g., let x = 10)
  'code .token.variable': {
    color: '#9cdcfe', // Light blue for variables
  },

  // Number color (e.g., 123, 45.67)
  'code .token.number': {
    color: '#b5cea8', // Light green for numbers
  },

  // Property color (e.g., object.property)
  'code .token.property': {
    color: '#d4d4d4', // Light gray for properties
  },
};
